<div class="absolute inset-0 flex flex-col min-w-0 overflow-y-auto" cdkScrollable>
    <!-- <mat-drawer-container class="flex-auto overflow-visible"> -->
        <!-- <mat-drawer-content class="flex flex-col"> -->
            <!-- Header -->
            <div class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10">
                <div class="flex-1 min-w-0">
                    <!-- Title -->
                    <div class="mt-1">
                        <h2 class="text-3xl font-extrabold tracking-tight leading-10 truncate">
                            บันทึกข้อมูลเยี่ยมบ้าน
                        </h2>
                    </div>

                </div>
                <!-- Actions -->
                <div class="flex shrink-0 items-center mt-6 sm:mt-0 sm:ml-4">
                    <button class="ml-3" mat-flat-button class="bg-red-300 text-white" (click)="back()">
                        <mat-icon class="icon-size-5 mr-2" [svgIcon]="'heroicons_solid:chevron-left'"></mat-icon>
                        Back
                    </button>
                </div>


            </div>
            <!-- Main -->

            <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>
                <mat-card class="bg-green-50">
                    <div class="flex flex-col flex-auto min-w-0">
                        <div class="flex flex-row mt-5">
                            <div class="flex">
                                <div class="flex flex-row  pr-1 ml-4 mt-2 cursor-pointer">
                                    <!-- <div class="mt-2"> -->
                                    <span class="text-xl font-bold">วันที่ลงเยี่ยมบ้าน :
                                    
                                    <input #pickerDirective type="text"
                                        class="rounded-md border border-slate-400 bg-white shadow h-10 mr-4 pl-4 pr-4 cursor-pointer  datepicker-calendar-icon"
                                        ngxDaterangepickerMd [(ngModel)]="selectedDateStart" [autoApply]="true"
                                        [locale]="{ format: 'DD/MM/YYYY' }" [singleDatePicker]="true"
                                        placeholder="วันที่ลงเยี่ยมบ้าน" (change)="dateChangeStart($event)" /></span>
                                </div>
                            </div>
                        </div>


                        <div class="flex flex-col p-4 shadow-md rounded-md">
                            <p class="font-bold text-xl">ข้อมูลพื้นฐาน</p>
                            <div class="flex flex-auto w-full flex-wrap pl-6 mt-2">
                                <div class="min-w-fit mr-4"><span class="font-bold">ชื่อ-สกุล :</span>
                                    {{patient.title}}{{patient.first_name}} {{patient.last_name}}</div>
                                <div class="min-w-fit mr-4"><span class="font-bold">เลขบัตรประชาชน :</span>
                                    {{patient.cid | thaicid}}</div>
                                <div class="min-w-fit mr-4"><span class="font-bold">วันเกิด :</span> {{patient.dob |
                                    thaidate:'short'}}</div>
                                <div class="min-w-fit mr-4"><span class="font-bold">อายุ :</span> {{patient.age |
                                    thaiage}}</div>
                                <div class="min-w-fit"><span class="font-bold">เพศ :</span> {{patient.gender_name}}
                                </div>
                            </div>
                            <div class="flex flex-row flex-wrap w-full pl-6 mt-2">
                                <div class="min-w-fit mr-8"><span class="font-bold">สิทธิ์การรักษา :</span>
                                    {{patient.patient_right}}
                                </div>
                            </div>
                            <div class="flex flex-row flex-wrap w-full pl-6 mt-2">
                                <div class="min-w-fit mr-8"><span class="font-bold">การวินิจฉัยโรค :</span>
                                    {{patient.diag_text}}
                                </div>
                            </div>
                            <div class="flex flex-row flex-wrap w-full pl-6 mt-2">
                                <div class="min-w-fit mr-8"><span class="font-bold">สาเหตุการเยี่ยมบ้าน :</span>
                                    {{ catagoryName }}
                                </div>
                            </div>
                            <div class="flex flex-row flex-wrap w-full pl-6 mt-2">
                                <div class="min-w-fit mr-8"><span class="font-bold">ปัญหาที่ต้องดูแล/อุปกรณ์ที่ติดตัวผู้ป่วย :</span>
                                    {{ itemName }}
                                </div>
                            </div>

                            <div class="flex flex-auto w-full flex-wrap pl-6 mt-3">
                                <span class="font-bold">ที่อยู่ปัจจุบัน: 
                                <mat-form-field class="min-w-160 xs:w-1/2 mx-2 fuse-mat-dense">
                                    <input matInput [(ngModel)]="patient.patient_address_name" [placeholder]="'ที่อยู่'"
                                        value={{patient.patient_address_name}}>
                                </mat-form-field></span>
                            </div>
                            <div class="flex flex-auto w-full flex-wrap pl-6">
                                <span class="font-bold">เบอร์ติดต่อ:
                                <mat-form-field class="min-w-48 xs:w-1/2 mx-2 fuse-mat-dense">
                                    <input matInput [(ngModel)]="patient.phone_number" [placeholder]="'เบอร์ติดต่อ'"
                                        value={{patient.phone_number}}>
                                </mat-form-field></span>
                                <span class="font-bold">เพศสภาพปัจจุบัน :
                                <mat-form-field class="min-w-64 xs:w-1/2 mx-2 fuse-mat-dense">
                                    <input matInput [(ngModel)]="present_gender" [placeholder]="'เพศสภาพปัจจุบัน'"
                                        value={{patient.gender_name}}>
                                </mat-form-field></span>
                            </div>
                            <div class="flex flex-row flex-wrap w-full pl-8">
                                <div class="min-w-64 -m-2">
                                    <mat-radio-group class="flex flex-row" [color]="'primary'"
                                        [(ngModel)]="disablility_card" [value]="''">
                                        <span class="font-bold mb-2 mt-2">บัตรผู้พิการ </span>
                                        <mat-radio-button class="mb-2" [value]="'1'">มี</mat-radio-button>
                                        <mat-radio-button class="mb-2" [value]="'0'">ไม่มี</mat-radio-button>
                                        <mat-radio-button [value]="'9'">ไม่เข้าเกณฑ์พิการ</mat-radio-button>
                                    </mat-radio-group>
                                </div>
                            </div>
                            

                            <mat-divider class="mt-4 mb-2"></mat-divider>
                            <!-- ข้อมูลการเยี่ยมบ้าน -->
                            <p class="font-bold text-xl mt-3 mb-5">ข้อมูลการเยี่ยมบ้าน</p>
                            <div class="flex flex-auto flex-wrap pl-6">

                                <mat-form-field class="min-w-64 mr-2">
                                    <mat-label><span class="font-bold">ชื่อ-สกุล (ผู้ดูแลผู้ป่วยที่บ้าน) :</span> </mat-label>
                                    <input matInput [placeholder]="'ชื่อ-สกุล ผู้ดูแลผู้ป่วยที่บ้าน'" name="care_giver_name"
                                        [(ngModel)]="care_giver_name">
                                </mat-form-field>
                                <mat-form-field class="min-w-48 mr-2 fuse-mat-dense">
                                    <mat-label><span class="font-bold">เบอร์โทร :</span> </mat-label>
                                    <input matInput [placeholder]="'เบอร์โทร'" name="care_giver_contact"
                                        [(ngModel)]="care_giver_contact">
                                </mat-form-field>
                                <div class="bg-violet-200 w-96 h-14 rounded-xl mb-2 mt-5">
                                    <div class="form-group mt-2 pl-6">
                                        <label for="file"><span
                                                class="mr-2"><mat-icon>account_tree</mat-icon>Genogram</span></label>
                                        <input type="file" id="file" accept="image/* , .pdf"
                                            (change)="onFileSelected($event)">
                                    </div>
                                </div>
                            </div>
                            <div class="flex flex-col w-full pl-6">
                                <p class="font-bold mb-1">Vital Sign :</p>
                                <div class="flex flex-auto flex-wrap w-full">
                                    <p class="w-fit mr-2">BT
                                        <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                            <input matInput name="body_temp" [(ngModel)]="body_temp">
                                        </mat-form-field>ํC
                                    </p>
                                    <p class="w-fit text-end mx-2">BP
                                        <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                            <input matInput name="sbp" [(ngModel)]="sbp">
                                        </mat-form-field>
                                        /
                                        <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                            <input matInput name="dbp" [(ngModel)]="dbp">
                                        </mat-form-field>
                                        mmHg
                                    </p>
                                    <p class="w-fit text-end mx-2">PR
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="pulse_rate" [(ngModel)]="pulse_rate">
                                        </mat-form-field>
                                        /min
                                    </p>
                                    <p class="w-fit text-end mx-2">RR
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="respiratory_rate" [(ngModel)]="respiratory_rate">
                                        </mat-form-field>
                                        /min
                                    </p>
                                    <p class="w-fit text-end mx-2">BW
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="body_weight" [(ngModel)]="body_weight"
                                                (change)="bmiCal()">
                                        </mat-form-field>
                                        Kg
                                    </p>
                                    <p class="w-fit text-end mx-2">Ht
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="body_height" [(ngModel)]="body_height"
                                                (change)="bmiCal()">
                                        </mat-form-field>
                                        cm
                                    </p>
                                    <p class="w-fit text-end mx-2">BMI
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="dtx" [(ngModel)]="bmi" disabled="true">
                                        </mat-form-field>
                                    </p>
                                    <p class="w-fit text-end mr-2">DTX
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="dtx" [(ngModel)]="dtx">
                                        </mat-form-field>
                                        mg%
                                    </p>
                                    <p class="w-fit text-end">O<span class="text-sm mt-7">2</span>
                                        Sat Room Air
                                        <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                            <input matInput name="o2sat" [(ngModel)]="o2sat">
                                        </mat-form-field>
                                        %
                                    </p>
                                </div>
                            </div>
                            <div class="flex flex-col w-full pl-6">
                                <p class="font-bold mb-1">อุปกรณ์ที่รักษาที่บ้าน :</p>
                                <div class="flex flex-auto flex-wrap w-full">
                                    <section *ngFor="let i of item" class="example-section">
                                        <mat-checkbox [(ngModel)]="i.ngModel" value={{i.name}} class="w-fit mr-2"
                                            (change)="home_visit(i.name,$event)">{{i.name}}</mat-checkbox>
                                    </section>
                                </div>
                            </div>
                            <div class="flex flex-col w-full pl-6">
                                <p class="font-bold mb-1">Gait aid :</p>
                                <div class="flex flex-auto flex-wrap w-full">
                                    <mat-radio-group class="flex flex-row flex-wrap" name="gait_aid" [(ngModel)]="gait_aid"
                                    [color]="'primary'" [value]="''">
                                    <mat-radio-button [value]="'ไม่มี'">
                                        ไม่มี
                                    </mat-radio-button>
                                    <mat-radio-button [value]="'Cane'">
                                        Cane
                                    </mat-radio-button>
                                    <mat-radio-button [value]="'Crutch'">
                                        Crutch
                                    </mat-radio-button>
                                    <mat-radio-button [value]="'Walker'">
                                        Walker Frame
                                    </mat-radio-button>
                                    <mat-radio-button [value]="'Wheelchair'">
                                        Wheelchair
                                    </mat-radio-button>
                                </mat-radio-group>
                                </div>
                            </div>

                            <mat-divider class="mt-4 mb-2"></mat-divider>
                            <!-- การตรวจประเมิน -->
                            <p class="text-xl font-bold mb-2 mt-2">การตรวจประเมิน</p>
                            <div class="flex flex-auto pl-6 flex-wrap w-full mb-2">
                                <span class="font-bold mt-2">สถานะการพบผู้ป่วย</span>
                                <mat-radio-group class="flex flex-row" [color]="'primary'" name="coc_status"
                                    [(ngModel)]="coc_status">
                                    <mat-radio-button class="" [value]="'1'">
                                        พบผู้ป่วย
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'2'">
                                        ไม่พบผู้ป่วย
                                    </mat-radio-button>
                                    <mat-radio-button [value]="'3'">
                                        ผู้ป่วยเสียชีวิต
                                    </mat-radio-button>
                                </mat-radio-group>

                            </div>
                            <div class="flex flex-row pl-6 w-full">
                                <span class="font-bold mt-2">การใช้ยาประจํา</span>
                                <mat-radio-group class="flex flex-row" [color]="'primary'" name="med_use"
                                    [(ngModel)]="med_use">
                                    <mat-radio-button class="" [value]="'0'">
                                        ไม่มีปัญหา
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'1'">
                                        มีปัญหา
                                    </mat-radio-button>
                                    <mat-form-field class="ml-2 min-w-64 w-auto fuse-mat-dense">
                                        <input matInput [placeholder]="'ระบุ'" name="med_use_problem"
                                            [(ngModel)]="med_use_problem">
                                    </mat-form-field>
                                </mat-radio-group>
                            </div>

                            <div class="flex flex-row pl-6 w-full">
                                <span class="font-bold mt-2">การใช้ยา/อาหารเสริม/สมุนไพร</span>
                                <mat-radio-group class="flex flex-row" [color]="'primary'" name="self_use"
                                    [(ngModel)]="self_use_list">
                                    <mat-radio-button class="" [value]="'0'">
                                        ไม่มี
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'1'">
                                        กัญชา
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'9'">
                                        มีใช้ยาอื่นๆที่หาซื้อเอง
                                    </mat-radio-button>
                                    <mat-form-field class="ml-2 min-w-64 w-auto fuse-mat-dense">
                                        <input matInput [placeholder]="'ระบุ'" name="self_use_list"
                                            [(ngModel)]="self_use">
                                    </mat-form-field>
                                </mat-radio-group>
                            </div>

                            <div class="flex flex-row pl-6 w-full">
                                <span class="font-bold mt-2">การใช้สารเสพติด</span>
                                <mat-radio-group class="flex flex-row" [color]="'primary'" name="drugs_use"
                                    [(ngModel)]="drugs_use">
                                    <mat-radio-button class="" [value]="'0'">
                                        ไม่มี
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'1'">
                                        บุหรี่
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'2'">
                                        สุรา
                                    </mat-radio-button>
                                    <mat-radio-button class="" [value]="'9'">
                                        อื่นๆ
                                    </mat-radio-button>
                                    <mat-form-field class="ml-2 min-w-64 w-auto fuse-mat-dense">
                                        <input matInput [placeholder]="'ระบุ'" name="drugs_use_other"
                                            [(ngModel)]="drugs_use_other">
                                    </mat-form-field>
                                </mat-radio-group>
                            </div>
                            <div class="flex pl-6 mb-2">
                                <button class="px-6 ml-3 mt-0 bg-purple-100 text-purple-600" mat-raised-button
                                    (click)="openDialog2q()">
                                    2Q
                                </button>
                                <p class="m-2 font-bold w-fit"> {{result2q_score}} <span
                                        class="text-red-600 text-xl ml-2">{{comment_text}}</span></p>
                            </div>
                            <div class="flex pl-6 w-140">
                                <mat-form-field class="flex-auto fuse-mat-dense">
                                    <mat-label><span class="font-bold">ปัญหาหรือข้อมูลเพิ่มเติม</span>
                                    </mat-label>
                                    <textarea matInput [placeholder]="'ปัญหาหรือข้อมูลเพิ่มเติม'" [rows]="3"
                                        name="extra_detail" [(ngModel)]="extra_detail"></textarea>
                                </mat-form-field>
                            </div>
                            <div class="flex justify-items-center justify-center -mx-8  px-8 py-5">
                                <button class="px-12 py-6 bg-green-100 text-green-600 text-2xl"
                                    (click)="save_coc_homevisit();" matTooltip="บันทึกเยี่ยมบ้าน" mat-raised-button>
                                    <mat-icon>cloud_upload</mat-icon>บันทึกเยี่ยมบ้าน
                                </button>
                            </div>
                        </div>
                    </div>
                </mat-card>
            </div>
        <!-- </mat-drawer-content> -->
    <!-- </mat-drawer-container> -->
</div>